package zwavejs

type Command string

var (
	InitializeCommand     Command = "initialize"
	StartListeningCommand Command = "start_listening"
)

type OutgoingMessage struct {
	MessageID string  `json:"messageId"`
	Command   Command `json:"command"`
}

type Initialize struct {
	OutgoingMessage
	SchemaVersion                 int               `json:"schemaVersion"`
	AdditionalUserAgentComponents map[string]string `json:"additionalUserAgentComponents"`
}
